<template>
	<div class="p-3">
		<div class="base_block">
			<div class="cplt">
				<div class="cplt_ttl">
					<div class="cplt_ttl_name">{{ $store.state.locale.dutyApplication }} 1</div>

					<div class="cplt_ttl_date d-none">Дата: 09.04.2019</div>
				</div>


				<div class="cplt_cnt">
					<div class="row">
						<div class="col-6">
							<div class="cplt_table">
								<div class="cplt_table_hd">{{ $store.state.locale.inFromOperator }}</div>

								<div class="cplt_table_bd">
									<div class="table-responsive settings_content_tb">
										<table class="table">
											<thead>
											<tr>
												<th scope="col">#</th>
												<th scope="col">{{ $store.state.locale.name }}</th>
												<th scope="col">{{ $store.state.locale.date }}</th>
												<th scope="col">{{ $store.state.locale.status }}</th>
												<th scope="col" class="w-40" v-if="can('complaints_duty_1', 'Edit')"></th>
											</tr>
											</thead>

											<tbody>
											<tr v-for="item in ticketNewList" @click="clickPencil('/complaints/edit/' + item.id)" class="cur-p">
												<td>{{ item.id }}</td>
												<td>
													<div class="cplt_table_name">
														<div class="txt">{{ (item.applicantName && item.applicantName !== '') ? item.applicantName : '---' }}</div>
														<i class="mdi mdi-paperclip" v-if="item.hasFile"></i>
													</div>
												</td>
												<td>{{ item.dateTime | formatDateSecond }}</td>
												<td>
													{{
														statusList.find(x => parseInt(x.id) === item.status) ?
														statusList.find(x => parseInt(x.id) === item.status)['status' +
														$store.state.lang.charAt(0).toUpperCase() + $store.state.lang.slice(1)] : '---'
													}}
												</td>
												<td v-if="can('complaints_duty_1', 'Edit')">
													<div class="btn-group">
														<router-link class="icon-btn" :to="'/complaints/edit/' + item.id">
															<i class="mdi mdi-pencil"></i>
														</router-link>
													</div>
												</td>
											</tr>
											</tbody>
										</table>
									</div>
								</div>

								<div class="cplt_table_ft">
									<div class="call_message_ft d-flex justify-content-end" v-if="ticketNewList.length > 0">
										<paginate
												:page-count="ticketNewListPageCount"
												:page-range="3"
												:margin-pages="1"
												:click-handler="GetTicketsNew"
												container-class="pagination base_pagination"
												page-class="page-item"
												prev-class="page-item ctrl"
												next-class="page-item ctrl"
												page-link-class="page-link"
												prev-link-class="page-link"
												next-link-class="page-link"
												prev-text="<i class='mdi mdi-chevron-left'></i>"
												next-text="<i class='mdi mdi-chevron-right'></i>"
										>
										</paginate>
									</div>
								</div>
							</div>
						</div>


						<div class="col-6">
							<div class="cplt_table">
								<div class="cplt_table_hd">{{ $store.state.locale.inToOperator }}</div>

								<div class="cplt_table_bd">
									<div class="table-responsive settings_content_tb">
										<table class="table">
											<thead>
											<tr>
												<th scope="col">#</th>
												<th scope="col">{{ $store.state.locale.name }}</th>
												<th scope="col">{{ $store.state.locale.date }}</th>
												<th scope="col">{{ $store.state.locale.status }}</th>
												<th scope="col" class="w-40" v-if="can('complaints_duty_1', 'Edit')"></th>
											</tr>
											</thead>

											<tbody>
											<tr v-for="item in ticketOldList" class="cur-p"
												@click="clickPencil('/complaints/edit/' + item.id)"
												:class="{
													'no-deadline': item.deadlineDiff === null,
													'short-deadline': item.deadlineDiff === 1 || item.deadlineDiff === 0,
													'long-deadline': item.deadlineDiff > 1
												}">
												<td>{{ item.id }}</td>
												<td>
													<div class="cplt_table_name">
														<div class="txt">{{ (item.applicantName && item.applicantName !== '') ? item.applicantName : '---' }}</div>
														<i class="mdi mdi-paperclip" v-if="item.hasFile"></i>
													</div>
												</td>
												<td>{{ item.dateTime | formatDateSecond }}</td>
												<td :class="{bg_td: item.status === 3 || item.status === 2}">
													{{
														statusList.find(x => parseInt(x.id) === item.status) ?
														statusList.find(x => parseInt(x.id) === item.status)['status' +
														$store.state.lang.charAt(0).toUpperCase() + $store.state.lang.slice(1)] : '---'
													}}
												</td>
												<td v-if="can('complaints_duty_1', 'Edit')">
													<div class="btn-group">
														<router-link class="icon-btn" :to="'/complaints/edit/' + item.id">
															<i class="mdi mdi-pencil"></i>
														</router-link>
													</div>
												</td>
											</tr>
											</tbody>
										</table>
									</div>
								</div>

								<div class="cplt_table_ft">
									<div class="call_message_ft d-flex justify-content-end" v-if="ticketOldList.length > 0">
										<paginate
												:page-count="ticketOldListPageCount"
												:page-range="3"
												:margin-pages="1"
												:click-handler="GetTicketsOld"
												container-class="pagination base_pagination"
												page-class="page-item"
												prev-class="page-item ctrl"
												next-class="page-item ctrl"
												page-link-class="page-link"
												prev-link-class="page-link"
												next-link-class="page-link"
												prev-text="<i class='mdi mdi-chevron-left'></i>"
												next-text="<i class='mdi mdi-chevron-right'></i>"
										>
										</paginate>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<style scoped>
	.bg_td{
		background: #4dd24b;
	}
</style>

<script src="./script.js"></script>